Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.transaction
Interface UserTransaction

public interface UserTransaction
extends javax.transaction.UserTransaction

This interface defines WebLogic-specific extensions to javax.transaction.UserTransaction.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `begin(java.lang.String name)` Create a new transaction, set the transaction name property and associate the transaction with the current thread.
`void` | `begin(java.lang.String name, int timeoutseconds)` Create a new transaction with the specified timeout value, set the transaction name property and associate the transaction with the current thread.

Methods inherited from interface javax.transaction.UserTransaction
`begin, commit, getStatus, rollback, setRollbackOnly, setTransactionTimeout`

Method Detail

### begin

    public void begin(java.lang.String name)
               throws javax.transaction.NotSupportedException,
                      javax.transaction.SystemException

  Create a new transaction, set the transaction name property and associate the transaction with the current thread.

  Parameters:
    `name` - The descriptive name to be associated with the new transaction.
  Throws:
    javax.transaction.NotSupportedException - Thrown if the thread is already associated with a transaction.
    javax.transaction.SystemException - Thrown if the transaction manager encounters an unexpected error condition.
  See Also:
    `Transaction.setName(String)`

### begin

    public void begin(java.lang.String name,
                      int timeoutseconds)
               throws javax.transaction.NotSupportedException,
                      javax.transaction.SystemException

  Create a new transaction with the specified timeout value, set the transaction name property and associate the transaction with the current thread.

  Parameters:
    `name` - The descriptive name to be associated with the new transaction.
    `timeoutseconds` - The timeout value for the transaction. This value will override the default timeout value associated with the current thread. If a value of zero is specified the default timeout will be used.
  Throws:
    javax.transaction.NotSupportedException - Thrown if the thread is already associated with a transaction.
    javax.transaction.SystemException - Thrown if the transaction manager encounters an unexpected error condition.
  See Also:
    `Transaction.setName(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD